package com.zcloud.mapper.dsno3.task;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：在线学习考试-任务
 * 作者：luoxiaobao
 * 时间：2021-12-20
 * 官网：www.zcloudchina.com
 */
public interface StudyTaskMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);


	/**全部视频课件+资料课件
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getAllCourseware(PageData pd);

	/**全部课程
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getAllcurriculum (PageData pd);

	/**获取 任务的全部课程
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getcurriculumAllBystudyTaskId(PageData pd);

	/**
	 * 更新任务状态
	 * @param pd
	 */
    void updateTaskState(PageData pd);
	List<PageData> getAllByuserInfo(PageData pd);
	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> userdatalistPage(Page page);

	List<PageData> getAllCoursewareByHandout(PageData pd);
	/**
	 * 修改 任务的结束时间
	 * @param pd
	 * @throws Exception
	 */
	void editEndTime(PageData pd);
}

